<template>
	<div class="container-fluid" style="font-size: 18px;">
		<div class="mt-3" v-if="show == 'mostrar'">
	        <div class="mt-2 alert alert-primary" role="alert">
	            <strong>No cuenta con Ningun registro de Auditoria</strong> 
	        </div>
    	</div>
		<div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-2 text-gray-800">Resgistros de Clientes</h1>
         </div>
         <p class="mb-4">En este segmento de la intranet se puede visualizar operaciones que hayan hecho los usuarios del sistema en el módulo de Clientes bien sea eliminar, editar o crear algún cliente.</p>
         <div class="card px-2">
         	<div class="card-header my-2">
         		Registro del Módulo Clientes
         	</div>
     		<table class="table" id="tablaAuditorira" style="font-size: 14px;">
				<thead class="bg-primary text-white">
					<tr>
					  <th scope="col">#</th>
					  <th scope="col">Usuario Accionador</th>
					  <th scope="col">tipo de Acción</th>
					  <th scope="col">Descripción de la Operación</th>
					  <th scope="col">Fecha de ejecución</th>
					</tr>
					</thead>
					<tbody>
					<tr v-for = "resgistro in registros">
					  <th scope="row">{{resgistro.id}}</th>
					  <td>{{resgistro.u}}</td>
					  <td>{{resgistro.a}}</td>
					  <td>{{resgistro.descripcion}}</td>
					  <td>{{resgistro.created_at}}</td>
					</tr>
				</tbody>
			</table>
         	
         </div>
		
	</div>

</template>
<script>
    export default {
 		mounted(){ 
            this.getRegistros();
        },
        data(){
            return{
            	registros:[],
                show:'',
            }
        },
        methods:{
        	tableClients(){
                $(document).ready(function(){
                    $('#tablaAuditorira').DataTable({
                        retrieve: true,
                        language: {      
                            "sProcessing":     "Procesando...",
                            "sLengthMenu":     "Mostrar _MENU_ registros",
                            "sZeroRecords":    "No se encontraron resultados",
                            "sEmptyTable":     "Ningún dato disponible en esta tabla =(",
                            "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                            "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
                            "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
                            "sInfoPostFix":    "",
                            "sSearch":         "Buscar:",
                            "sUrl":            "",
                            "sInfoThousands":  ",",
                            "sLoadingRecords": "Cargando...",
                            "oPaginate": {
                                "sFirst":    "Primero",
                                "sLast":     "Último",
                                "sNext":     "Siguiente",
                                "sPrevious": "Anterior",
                            },
                            "oAria": {
                                "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
                                "sSortDescending": ": Activar para ordenar la columna de manera descendente",
                            },
                            "buttons": {
                                "copy": "Copiar",
                                "colvis": "Visibilidad",
                            }
                            
                        },
                    });
                });
            },
        	getRegistros(){
        		var urlRegistros = "getresgistrosclientes";
	            axios.get(urlRegistros).then(response=>{
	            	if(response.data.length == 0){
	            		this.show = 'mostrar';
	            	}else{
	            		console.log(response.data);
	            		this.show = 'ocultar';
	            		this.registros = response.data;
	            	}
                    this.tableClients()
	            });
        	}
        }   	

    }
</script>